[Rubygems-developers] [ rubygems-Bugs-27561 ] --platform is ignored

noreply at rubyforge.org noreply at rubyforge.org
Wed Apr 21 01:40:30 EDT 2010


Bugs item #27561, was opened at 2009-12-14 09:50
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27561&group_id=126

Category: `gem install` command
>Group: v1.3.x
>Status: Closed
>Resolution: Rejected
Priority: 3
Submitted By: Roger Pack (rogerdpack)
>Assigned to: Eric Hodel (drbrain)
Summary: --platform is ignored

Initial Comment:
Currently with this command:
gem install sys-proctable --platform=non-existent-platform

if the platform doesn't exist it defaults back to ruby--essentially ignoring --platform.  I was surprised to not receive at warning that platform was being ignored.
Thank you for your consideration.
-r


----------------------------------------------------------------------

>Comment By: Eric Hodel (drbrain)
Date: 2010-04-20 22:40

Message:
RubyGems always attempts to install a gem with ruby platform if one is available.  If one matching --platform (or your default platform) that one will be chosen over the ruby version.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27561&group_id=126


More information about the Rubygems-developers mailing list